#!/usr/local/bin/emacs --script

(require 'package)

(package-initialize)

;; (setq package-archives '(("melpa" . "https://melpa.org/packages/")
;;                          ("elpa" . "https://elpa.gnu.org/packages/")
;;                          ("org" . "http://orgmode.org/elpa/")))

;; (unless package-archive-contents
;;   (package-refresh-contents))

;; (unless (package-installed-p 'use-package)
;;   (package-install 'use-package))
;; (require 'use-package)

(setq use-package-always-ensure t)

(use-package htmlize)

(require 'ox-publish)
(require 'ox-html)
(require 'htmlize)
(require 'org)

(setq org-html-htmlize-output-type 'css)
(setq org-export-time-stamp-file nil)
(setq org-html-validation-link nil)
(setq org-html-head-include-default-style nil)
(setq org-publish-project-alist
      '(("tlakh"
	 :base-directory "/var/www/sha256.net/"
	 :publishing-function org-html-publish-to-html
	 :publishing-directory "/var/www/sha256.net/"
	 :section-numbers nil
	 :with-author nil
	 :with-email nil
	 :with-timestamps nil
	 :with-toc nil
	 :with-creator: nil
	 :time-stamp-file: nil
	 :html-postamble "<p class=\"date\">Published: %d</p>
<hr /><footer><nav><a href=\"/\">&lt; Home</a></nav>
Copyright &copy; 2014 - 2023 Florian Obser. All rights reserved.
</footer>"
	 :html-head-include-default-style: nil
	 :html-head "<link rel=\"stylesheet\" href=\"simple.min.css\" type=\"text/css\"/>
<link rel=\"stylesheet\" href=\"htmlize.min.css\" type=\"text/css\"/>
<link rel=\"stylesheet\" href=\"custom.css\" type=\"text/css\"/>")))

(org-publish "tlakh")
